Summary:	C code generator that generates command line options parsers
Summary(pl.UTF-8):	Generator kodu C generujący analizatory opcji linii poleceń
Name:		gengetopt
Version:	2.22.6
Release:	1
License:	GPL v3+
Group:		Development/Tools
Source0:	http://ftp.gnu.org/gnu/gengetopt/%{name}-%{version}.tar.gz
# Source0-md5:	29749a48dda69277ab969c510597a14e
Patch0:		%{name}-info.patch
Patch1:		%{name}-am.patch
URL:		http://www.gnu.org/software/gengetopt/
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake
BuildRequires:	help2man
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gengetopt generates a C function that uses getopt_long function to
parse the command line options, to validate them and fills a struct.

%description -l pl.UTF-8
Gengetopt jest to narzędzie generujące kod w języku C, wykorzystujący
funkcję getopt_long do analizy opcji linii poleceń, sprawdzania ich
poprawności i umieszczania ich w strukturze.

%package examples
Summary:	gengetopt examples
Summary(pl.UTF-8):	Przykłady do gengetopt
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description examples
Gengetopt examples.

%description examples -l pl.UTF-8
Przykłady do gengetopt.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake} --gnu
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p doc/*.{c,cc,ggo,h} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -p doc/README.example $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# packaged as %doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/gengetopt

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NEWS README THANKS TODO doc/{gengetopt,index}.html
%attr(755,root,root) %{_bindir}/gengetopt
%{_mandir}/man1/gengetopt.1*
%{_infodir}/gengetopt.info*
%{_datadir}/%{name}

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Tue May 22 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gengetopt.git;a=log;h=master

* Tue May 22 2018 Jakub Bogusz <qboosh@pld-linux.org> a65684c
- updated to 2.22.6, use make install
- added info patch (unify direntry)
- added am patch (fix automake dependencies problem)

* Wed Oct 01 2008 pawelz <pawelz@pld-linux.org> 2bd7345
- fixed %install...
- STBR once again (it builds now... :-/)

* Wed Oct 01 2008 pawelz <pawelz@pld-linux.org> a43feec
- rel 1
- STBR

* Wed Oct 01 2008 pawelz <pawelz@pld-linux.org> 729672f
- better dir for examples
- adapterized

* Tue Sep 16 2008 pawelz <pawelz@pld-linux.org> e26d6b4
- %{__libtoolize} contains --force
- adapterized

* Mon Sep 15 2008 pawelz <pawelz@pld-linux.org> 7aa43ba
- autotools BRs
- removed bcond tests

* Mon Sep 15 2008 pawelz <pawelz@pld-linux.org> 4acb4c0
- initial PLD release

